Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class BufferedReaderAdapter

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.BufferedReader
                  |
                  +--com.caucho.vfs.BufferedReaderAdapter

public class BufferedReaderAdapter
extends java.io.BufferedReader

Trivial adapter so readers and input streams can be used in the same servlet. This adapter also saves GC because it only needs allocation once.

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`BufferedReaderAdapter(ReadStream rs)`

Method Summary
`void` | `close()`
`void` | `init(ReadStream rs)`
`int` | `read()`
`int` | `read(char[] cbuf, int offset, int length)`
`java.lang.String` | `readLine()`
`boolean` | `ready()`
`long` | `skip(long n)`

Methods inherited from class java.io.BufferedReader
`mark, markSupported, reset`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedReaderAdapter

    public BufferedReaderAdapter(ReadStream rs)

Method Detail

### init

    public void init(ReadStream rs)

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.BufferedReader`

### read

    public int read(char[] cbuf,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.BufferedReader`

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Overrides:
    `readLine` in class `java.io.BufferedReader`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.BufferedReader`

### ready

    public boolean ready()
                  throws java.io.IOException

  Overrides:
    `ready` in class `java.io.BufferedReader`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.BufferedReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD